Use this API to interact with user accounts on GitLab. These endpoints can help manage your account, manage accounts for other users, moderate user accounts, perform follower actions, and interact with email addresses for user accounts.
Retrieve current user details
GET /api/v4/user
Retrieves details about your user account.
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | APIEntities |
401 | Unauthorized | — |
403 | Forbidden | — |
List all activity for a user
GET /api/v4/user/activities
Lists all activity for a specified user.
Parameters
| Name | Type | Description |
|---|---|---|
fromQuery | String (date- | Date string in the format YEAR- Default: 2024-Example: 2024- |
pageQuery | Integer | Page number of results to retrieve Default: 1Example: 1 |
per_Query | Integer | Number of items to list per page Default: 20Example: 20 |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | Array of APIEntities |
400 | Bad Request | — |
List all email addresses for a user
GET /api/v4/user/emails
Lists all email addresses for the currently authenticated user.
Parameters
| Name | Type | Description |
|---|---|---|
pageQuery | Integer | Page number of results to retrieve Default: 1Example: 1 |
per_Query | Integer | Number of items to list per page Default: 20Example: 20 |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | Array of APIEntities |
400 | Bad Request | — |
Add an email address
POST /api/v4/user/emails
Adds an email address for the currently authenticated user.
Request body (application/json)
| Property | Type | Description |
|---|---|---|
emailRequired | String | Email address to add to the account |
Responses
| Code | Description | Schema |
|---|---|---|
201 | Created | APIEntities |
400 | Bad Request | — |
Retrieve details on an email address
GET /api/v4/user/emails/{email_id}
Retrieves details on a specified email address for the currently authenticated user.
Parameters
| Name | Type | Description |
|---|---|---|
email_Path, | Integer | ID of the email |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | APIEntities |
400 | Bad Request | — |
404 | Not Found | — |
Delete an email address
DELETE /api/v4/user/emails/{email_id}
Deletes the specified email address. You cannot delete a primary email address. Any future emails sent to the deleted email address are sent to the primary email address instead.
Parameters
| Name | Type | Description |
|---|---|---|
email_Path, | Integer | ID of the email |
Responses
| Code | Description | Schema |
|---|---|---|
204 | No Content | — |
400 | Bad Request | — |
404 | Not Found | — |
Retrieve your user preferences
GET /api/v4/user/preferences
Retrieves your user preferences.
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | APIEntities |
401 | Unauthorized | — |
403 | Forbidden | — |
Update your user preferences
PUT /api/v4/user/preferences
Updates your user preferences.
Request body (application/json)
| Property | Type | Description |
|---|---|---|
pass_ | Boolean | If true,view_,show_,pass_,policy_ must be provided |
policy_ | Boolean | If true,view_,show_,pass_,policy_ must be provided |
show_ | Boolean | If true,view_,show_,pass_,policy_ must be provided |
view_ | Boolean | If true,view_,show_,pass_,policy_ must be provided |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | APIEntities |
400 | Bad Request | — |
Create a runner owned by currently authenticated user
POST /api/v4/user/runners
Create a new runner
Request body (application/json)
| Property | Type | Description |
|---|---|---|
access_ | String | Access level of the runner Allowed values: not_,ref_ |
description | String | Description of the runner |
group_Required | Integer | ID of the group to create the runner in.runner_ is group_Example: 1 |
locked | Boolean | Specifies if the runner should be locked for the current project Default: false |
maintenance_ | String | Free- |
maximum_ | Integer | Maximum time, |
paused | Boolean | If true, |
project_Required | Integer | ID of the project to create the runner in.runner_ is project_Example: 1 |
run_ | Boolean | Specifies if the runner should handle untagged jobs Default: true |
runner_Required | String | Scope of the runner Allowed values: instance_,group_,project_Minimum length: 1 |
tag_ | Array of strings | Comma- |
Responses
| Code | Description | Schema |
|---|---|---|
201 | Created | APIEntities |
400 | Bad Request | — |
403 | Forbidden | — |
Retrieve your user status
GET /api/v4/user/status
Retrieves your user status.
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | APIEntities |
401 | Unauthorized | — |
403 | Forbidden | — |
Set a user status
PUT /api/v4/user/status
Sets the status of the currently authenticated user. Any parameters that are not passed are nullified. This operation is similar but distinct from the Update a user status operation.
Request body (application/json)
| Property | Type | Description |
|---|---|---|
availability | String | Availability of the user.busy and not_ |
clear_ | String | Time after which the status is cleared automatically Allowed values: 30_,3_,8_,1_,3_,7_,30_ |
emoji | String | Name of the emoji to use as a status.speech_ is used. |
message | String | Message to set as a status. |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | APIEntities |
400 | Bad Request | — |
Update a user status
PATCH /api/v4/user/status
Sets the status of the currently authenticated user. Any parameters that are not passed are ignored. This operation is similar but distinct from the Set a user status operation.
Request body (application/json)
| Property | Type | Description |
|---|---|---|
availability | String | Availability of the user.busy and not_ |
clear_ | String | Time after which the status is cleared automatically Allowed values: 30_,3_,8_,1_,3_,7_,30_ |
emoji | String | Name of the emoji to use as a status.speech_ is used. |
message | String | Message to set as a status. |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | APIEntities |
400 | Bad Request | — |
Retrieve Support PIN
GET /api/v4/user/support_pin
Retrieves a Support PIN for the currently authenticated user. GitLab Support may ask for this PIN to validate your identity.
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | APIEntities |
401 | Unauthorized | — |
403 | Forbidden | — |
404 | Not Found | — |
Create a Support PIN
POST /api/v4/user/support_pin
Creates a Support PIN. The PIN expires seven days after creation. GitLab Support may ask for this PIN to validate your identity.
Responses
| Code | Description | Schema |
|---|---|---|
201 | Created | APIEntities |
400 | Bad Request | — |
Update a user’s credit_card_validation (deprecated)
PUT /api/v4/user/{user_id}/credit_card_validation
Deprecated in 17.7
Parameters
| Name | Type | Description |
|---|---|---|
user_Path, | String | ID or username of the user |
Request body (application/json)
| Property | Type | Description |
|---|---|---|
credit_Required | Integer | Month the credit card expires |
credit_Required | Integer | Year the credit card expires |
credit_Required | String | Name of the credit card holder |
credit_Required | String | Last 4 digits of the credit card number |
credit_Required | String | Name of the credit card network |
credit_Required | String (date- | Time when the user’s credit card was validated |
stripe_ | String | Stripe credit card fingerprint |
stripe_ | String | ID of the Stripe payment method |
stripe_ | String | ID of the Stripe setup intent |
zuora_ | String | ID of the Zuora payment method |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | APIEntities |
400 | Bad Request | — |
404 | Not Found | — |
Return the user specific counts
GET /api/v4/user_counts
Assigned open issues, assigned MRs and pending todos count
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | APIEntities |
401 | Unauthorized | — |
List all users
GET /api/v4/users
Lists all users on the instance. This endpoint supports keyset pagination. In GitLab 17.0 and later, keyset pagination is used by default.
Parameters
| Name | Type | Description |
|---|---|---|
usernameQuery | String | Return a single user with the specified username |
extern_Query | String | Return a single user with the specified external authentication provider UID.provider.extern_,provider must be provided |
public_Query | String | Return a single user with the specified public email |
providerQuery | String | Name of the external authentication provider.extern_,provider must be provided |
searchQuery | String | Search for users by name, |
activeQuery | Boolean | If true,Default: false |
humansQuery | Boolean | If true,Default: false |
externalQuery | Boolean | If true,Default: false |
blockedQuery | Boolean | If true,Default: false |
created_Query | String (date- | Return users created on or after the specified time |
created_Query | String (date- | Return users created on or before the specified time |
without_Query | Boolean | If true,Default: false |
without_Query | Boolean | If true,Default: false |
adminsQuery | Boolean | If true,Default: false |
two_Query | String | Filter users by Two- |
exclude_Query | Boolean | If true,Default: false |
exclude_Query | Boolean | If true,Default: false |
exclude_Query | Boolean | If true,Default: false |
exclude_Query | Boolean | If true,Default: false |
order_Query | String | Sort results by the specified field Allowed values: id,name,username,created_,updated_ |
sortQuery | String | Sort results in ascending or descending order Allowed values: asc,desc |
pageQuery | Integer | Page number of results to retrieve Default: 1Example: 1 |
per_Query | Integer | Number of items to list per page Default: 20Example: 20 |
with_Query | Boolean | If true,Default: false |
custom_Query | Object | Filter by custom attributes that match all of the specified key and value pairs. |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | Array of APIEntities |
400 | Bad Request | — |
Create a user
POST /api/v4/users
Creates a user. Administrators only.
Request body (multipart/form-data)
| Property | Type | Description |
|---|---|---|
admin | Boolean | Flag indicating the user is an administrator |
avatar | String (binary) | Avatar image for user |
bio | String | The biography of the user |
can_ | Boolean | Flag indicating the user can create groups |
color_ | Integer | The color scheme for the file viewer |
commit_ | String | The commit email, |
discord | String | The Discord user ID |
emailRequired | String | Email address to add to the user account |
extern_ | String | The external authentication provider UID.extern_,provider must be provided |
external | Boolean | Flag indicating the user is an external user |
force_ | Boolean | Flag indicating a random password will be set.password,reset_,force_ must be provided |
github | String | The Git |
linkedin | String | The Linked |
location | String | The location of the user |
nameRequired | String | The name of the user |
note | String | Admin note for this user |
organization | String | The organization of the user. |
password | String | The password of the new user.password,reset_,force_ must be provided |
policy_ | Boolean | Flag indicating that advanced editor is enabled |
private_ | Boolean | Flag indicating the user has a private profile |
projects_ | Integer | The number of projects a user can create |
pronouns | String | The pronouns of the user |
provider | String | Name of the external authentication provider.extern_,provider must be provided |
public_ | String | The public email of the user |
reset_ | Boolean | Flag indicating the user will be sent a password reset token.password,reset_,force_ must be provided |
skip_ | Boolean | Flag indicating the account is confirmed |
theme_ | Integer | The Git |
twitter | String | The Twitter username |
usernameRequired | String | The username of the user |
view_ | Boolean | If true, |
website_ | String | The website of the user |
Responses
| Code | Description | Schema |
|---|---|---|
201 | Created | APIEntities |
400 | Bad Request | — |
Retrieve a user as a regular user
GET /api/v4/users/{id}
Retrieves a specified user as a regular user.
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | Integer | ID of the user |
with_Query | Boolean | If true,Default: false |
custom_Query | Object | Filter by custom attributes that match all of the specified key and value pairs. |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | APIEntities |
400 | Bad Request | — |
404 | Not Found | — |
Update a user
PUT /api/v4/users/{id}
Updates the details of a specified user.
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | Integer | ID of the user |
Request body (multipart/form-data)
| Property | Type | Description |
|---|---|---|
admin | Boolean | Flag indicating the user is an administrator |
avatar | String (binary) | Avatar image for user |
bio | String | The biography of the user |
can_ | Boolean | Flag indicating the user can create groups |
color_ | Integer | The color scheme for the file viewer |
commit_ | String | The commit email, |
discord | String | The Discord user ID |
email | String | Email address to add to the user account |
extern_ | String | The external authentication provider UID.extern_,provider must be provided |
external | Boolean | Flag indicating the user is an external user |
github | String | The Git |
linkedin | String | The Linked |
location | String | The location of the user |
name | String | The name of the user |
note | String | Admin note for this user |
organization | String | The organization of the user. |
password | String | The password of the new user |
policy_ | Boolean | Flag indicating that advanced editor is enabled |
private_ | Boolean | Flag indicating the user has a private profile |
projects_ | Integer | The number of projects a user can create |
pronouns | String | The pronouns of the user |
provider | String | Name of the external authentication provider.extern_,provider must be provided |
public_ | String | The public email of the user |
skip_ | Boolean | Flag indicating the account skips the confirmation by email |
theme_ | Integer | The Git |
twitter | String | The Twitter username |
username | String | The username of the user |
view_ | Boolean | If true, |
website_ | String | The website of the user |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | APIEntities |
400 | Bad Request | — |
404 | Not Found | — |
Delete a user
DELETE /api/v4/users/{id}
Deletes a user. Administrators only.
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | Integer | ID of the user |
hard_Query | Boolean | If true, |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | APIEntities |
400 | Bad Request | — |
404 | Not Found | — |
Reactivate a user
POST /api/v4/users/{id}/activate
Reactivates a specified user account that was previously deactivated. Administrators only.
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | Integer | ID of the user |
Responses
| Code | Description | Schema |
|---|---|---|
201 | Created | — |
400 | Bad Request | — |
404 | Not Found | — |
Approve access to a user
POST /api/v4/users/{id}/approve
Approves access to a specified user account that is pending approval. Administrators only.
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | Integer | ID of the user |
Responses
| Code | Description | Schema |
|---|---|---|
201 | Created | — |
400 | Bad Request | — |
404 | Not Found | — |
Retrieve association counts for a user
GET /api/v4/users/{id}/associations_count
Retrieves the number of groups, projects, issues, and merge requests associated with a specified user.
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | Integer | ID of the user |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | APIEntities |
400 | Bad Request | — |
404 | Not Found | — |
Ban a user
POST /api/v4/users/{id}/ban
Bans a specified user account. Administrators only.
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | Integer | ID of the user |
Responses
| Code | Description | Schema |
|---|---|---|
201 | Created | — |
400 | Bad Request | — |
404 | Not Found | — |
Block access to a user
POST /api/v4/users/{id}/block
Blocks a specified user account. Administrators only.
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | Integer | ID of the user |
Responses
| Code | Description | Schema |
|---|---|---|
201 | Created | — |
400 | Bad Request | — |
404 | Not Found | — |
Deactivate a user
POST /api/v4/users/{id}/deactivate
Deactivates a specified user account. Administrators only.
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | Integer | ID of the user |
Responses
| Code | Description | Schema |
|---|---|---|
201 | Created | — |
400 | Bad Request | — |
404 | Not Found | — |
Disable two-factor authentication for a user
PATCH /api/v4/users/{id}/disable_two_factor
Disables two-factor authentication for a specified user account. Administrators only.
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | Integer | ID of the user |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | APIEntities |
400 | Bad Request | — |
404 | Not Found | — |
List all email addresses for a user
GET /api/v4/users/{id}/emails
Lists all email addresses for a specified user account. Administrators only.
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | Integer | ID of the user |
pageQuery | Integer | Page number of results to retrieve Default: 1Example: 1 |
per_Query | Integer | Number of items to list per page Default: 20Example: 20 |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | Array of APIEntities |
400 | Bad Request | — |
404 | Not Found | — |
Add an email address for a user
POST /api/v4/users/{id}/emails
Adds an email address for a specified user account. Administrators only.
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | Integer | ID of the user |
Request body (application/json)
| Property | Type | Description |
|---|---|---|
emailRequired | String | Email address to add to the user account |
skip_ | Boolean | If true, |
Responses
| Code | Description | Schema |
|---|---|---|
201 | Created | APIEntities |
400 | Bad Request | — |
404 | Not Found | — |
Delete an email address for a user
DELETE /api/v4/users/{id}/emails/{email_id}
Deletes a specified email address for a user account. You cannot delete a primary email address. Administrators only.
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | Integer | ID of the user |
email_Path, | Integer | ID of the email |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | APIEntities |
400 | Bad Request | — |
404 | Not Found | — |
Follow a user
POST /api/v4/users/{id}/follow
Follows a specified user account.
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | Integer | ID of the user |
Responses
| Code | Description | Schema |
|---|---|---|
201 | Created | APIEntities |
400 | Bad Request | — |
404 | Not Found | — |
List all accounts that follow a user
GET /api/v4/users/{id}/followers
Lists all user accounts that follow a specified user.
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | Integer | ID of the user |
pageQuery | Integer | Page number of results to retrieve Default: 1Example: 1 |
per_Query | Integer | Number of items to list per page Default: 20Example: 20 |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | Array of APIEntities |
400 | Bad Request | — |
404 | Not Found | — |
List all accounts followed by a user
GET /api/v4/users/{id}/following
Lists all user accounts being followed by a specified user.
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | Integer | ID of the user |
pageQuery | Integer | Page number of results to retrieve Default: 1Example: 1 |
per_Query | Integer | Number of items to list per page Default: 20Example: 20 |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | Array of APIEntities |
400 | Bad Request | — |
404 | Not Found | — |
Delete authentication identity from a user
DELETE /api/v4/users/{id}/identities/{provider}
Deletes a user authentication identity using the provider name associated with that identity. Administrators only.
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | Integer | ID of the user |
providerPath, | String | Name of the external authentication provider |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | APIEntities |
400 | Bad Request | — |
404 | Not Found | — |
Reject access to a user
POST /api/v4/users/{id}/reject
Rejects access to a specified user account that is pending approval. Administrators only.
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | Integer | ID of the user |
Responses
| Code | Description | Schema |
|---|---|---|
201 | Created | — |
400 | Bad Request | — |
404 | Not Found | — |
Retrieve a Support PIN for a user
GET /api/v4/users/{id}/support_pin
Retrieves a Support PIN for a specified user. GitLab Support may ask for this PIN to validate your identity. Administrators only.
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | Integer | ID of the user |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | APIEntities |
400 | Bad Request | — |
404 | Not Found | — |
Revoke a Support PIN for a user
POST /api/v4/users/{id}/support_pin/revoke
Revokes a Support PIN for a specified user. This immediately expires and removes the PIN. Administrators only.
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | Integer | ID of the user |
Responses
| Code | Description | Schema |
|---|---|---|
204 | No Content | — |
400 | Bad Request | — |
404 | Not Found | — |
Unban a user
POST /api/v4/users/{id}/unban
Unbans a specified user account that was previously banned. Administrators only.
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | Integer | ID of the user |
Responses
| Code | Description | Schema |
|---|---|---|
201 | Created | — |
400 | Bad Request | — |
404 | Not Found | — |
Unblock access to a user
POST /api/v4/users/{id}/unblock
Unblocks a specified user account that was previously blocked. Administrators only.
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | Integer | ID of the user |
Responses
| Code | Description | Schema |
|---|---|---|
201 | Created | — |
400 | Bad Request | — |
404 | Not Found | — |
Unfollow a user
POST /api/v4/users/{id}/unfollow
Unfollows a specified user account.
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | Integer | ID of the user |
Responses
| Code | Description | Schema |
|---|---|---|
201 | Created | APIEntities |
400 | Bad Request | — |
404 | Not Found | — |
List all project and group memberships for a user
GET /api/v4/users/{user_id}/memberships
Lists all project and group memberships for a specified user. Administrators only.
Parameters
| Name | Type | Description |
|---|---|---|
user_Path, | Integer | ID of the user |
typeQuery | String | Filter memberships by type Allowed values: Project,Namespace |
pageQuery | Integer | Page number of results to retrieve Default: 1Example: 1 |
per_Query | Integer | Number of items to list per page Default: 20Example: 20 |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | Array of APIEntities |
400 | Bad Request | — |
404 | Not Found | — |
Retrieve the status of a user
GET /api/v4/users/{user_id}/status
Retrieves the status of a user. You can access this endpoint without authentication.
Parameters
| Name | Type | Description |
|---|---|---|
user_Path, | String | ID or username of the user |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | APIEntities |
400 | Bad Request | — |
404 | Not Found | — |
Schemas
Objects returned by the operations above and objects nested in their request bodies.
APIEntitiesCiRunnerRegistrationDetails
| Property | Type | Description |
|---|---|---|
id | String | — |
token | String | — |
token_ | String | — |
APIEntitiesCustomAttribute
| Property | Type | Description |
|---|---|---|
key | String | Example:foo |
value | String | Example:bar |
APIEntitiesEmail
| Property | Type | Description |
|---|---|---|
confirmed_ | String | — |
email | String | — |
id | String | — |
APIEntitiesIdentity
| Property | Type | Description |
|---|---|---|
extern_ | String | — |
provider | String | — |
APIEntitiesMembership
| Property | Type | Description |
|---|---|---|
access_ | String | — |
source_ | String | — |
source_ | String | — |
source_ | String | — |
APIEntitiesUser
| Property | Type | Description |
|---|---|---|
avatar_ | String | Example:/ |
avatar_ | String | Example:https: |
bio | String | — |
bot | Boolean | — |
created_ | String | — |
custom_ | Array of APIEntities | — |
discord | String | — |
followers | String | — |
following | String | — |
github | String | — |
id | Integer (int64) | Example:1 |
is_ | String | — |
job_ | String | — |
linkedin | String | — |
local_ | String | — |
location | String | — |
locked | Boolean | — |
name | String | Example:Administrator |
organization | String | — |
pronouns | String | — |
public_ | String | Example:john@example. |
state | String | Example:active |
twitter | String | — |
username | String | Example:admin |
web_ | String | Example:https: |
website_ | String | — |
work_ | String | — |
APIEntitiesUserActivity
| Property | Type | Description |
|---|---|---|
last_ | String | — |
last_ | String | — |
username | String | — |
APIEntitiesUserAssociationsCount
| Property | Type | Description |
|---|---|---|
groups_ | String | — |
issues_ | String | — |
merge_ | String | — |
projects_ | String | — |
APIEntitiesUserBasic
| Property | Type | Description |
|---|---|---|
avatar_ | String | Example:/ |
avatar_ | String | Example:https: |
custom_ | Array of APIEntities | — |
id | Integer (int64) | Example:1 |
locked | Boolean | — |
name | String | Example:Administrator |
public_ | String | Example:john@example. |
state | String | Example:active |
username | String | Example:admin |
web_ | String | Example:https: |
APIEntitiesUserCounts
| Property | Type | Description |
|---|---|---|
assigned_ | Integer | Example:10 |
assigned_ | Integer | Example:10 |
merge_ | Integer | Example:10 |
review_ | Integer | Example:10 |
todos | Integer | Example:10 |
APIEntitiesUserCreditCardValidations
| Property | Type | Description |
|---|---|---|
credit_ | String | — |
user_ | String | — |
APIEntitiesUserPreferences
| Property | Type | Description |
|---|---|---|
id | String | — |
pass_ | String | — |
policy_ | String | — |
show_ | String | — |
user_ | String | — |
view_ | String | — |
APIEntitiesUserProfile
| Property | Type | Description |
|---|---|---|
avatar_ | String | Example:/ |
avatar_ | String | Example:https: |
bio | String | — |
bio_ | String | Example:My <em>bio</ |
bot | Boolean | — |
created_ | String | — |
custom_ | Array of APIEntities | — |
discord | String | — |
followers | String | — |
following | String | — |
github | String | — |
id | Integer (int64) | Example:1 |
is_ | String | — |
job_ | String | — |
linkedin | String | — |
local_ | String | — |
location | String | — |
locked | Boolean | — |
name | String | Example:Administrator |
organization | String | — |
pronouns | String | — |
public_ | String | Example:john@example. |
state | String | Example:active |
twitter | String | — |
username | String | Example:admin |
web_ | String | Example:https: |
website_ | String | — |
work_ | String | — |
APIEntitiesUserPublic
| Property | Type | Description |
|---|---|---|
avatar_ | String | Example:/ |
avatar_ | String | Example:https: |
bio | String | — |
bot | Boolean | — |
can_ | Boolean | Example:true |
can_ | Boolean | Example:true |
color_ | Integer | Example:1 |
commit_ | String | — |
confirmed_ | String (date- | Example:2015- |
created_ | String | — |
current_ | String (date- | Example:2015- |
custom_ | Array of APIEntities | — |
discord | String | — |
email | String | Example:john@example. |
external | Boolean | — |
followers | String | — |
following | String | — |
github | String | — |
id | Integer (int64) | Example:1 |
identities | APIEntities | — |
is_ | String | — |
job_ | String | — |
last_ | String (date- | Example:2015- |
last_ | String (date- | Example:2015- |
linkedin | String | — |
local_ | String | — |
location | String | — |
locked | Boolean | — |
name | String | Example:Administrator |
organization | String | — |
preferred_ | String | Example:en |
private_ | Boolean | Example:false |
projects_ | Integer | Example:10 |
pronouns | String | — |
public_ | String | Example:john@example. |
state | String | Example:active |
theme_ | Integer | Example:2 |
twitter | String | — |
two_ | Boolean | Example:true |
username | String | Example:admin |
web_ | String | Example:https: |
website_ | String | — |
work_ | String | — |
APIEntitiesUserStatus
| Property | Type | Description |
|---|---|---|
availability | String | — |
clear_ | String | — |
emoji | String | — |
message | String | — |
message_ | String | — |
APIEntitiesUserSupportPin
| Property | Type | Description |
|---|---|---|
expires_ | String (date- | The expiration time of the PIN |
pin | String | The security PIN |
APIEntitiesUserWithAdmin
| Property | Type | Description |
|---|---|---|
avatar_ | String | Example:/ |
avatar_ | String | Example:https: |
bio | String | — |
bot | Boolean | — |
can_ | Boolean | Example:true |
can_ | Boolean | Example:true |
color_ | Integer | Example:1 |
commit_ | String | — |
confirmed_ | String (date- | Example:2015- |
created_ | String | — |
created_ | APIEntities | — |
current_ | String (date- | Example:2015- |
custom_ | Array of APIEntities | — |
discord | String | — |
email | String | Example:john@example. |
external | Boolean | — |
followers | String | — |
following | String | — |
github | String | — |
id | Integer (int64) | Example:1 |
identities | APIEntities | — |
is_ | String | — |
is_ | String | — |
job_ | String | — |
last_ | String (date- | Example:2015- |
last_ | String (date- | Example:2015- |
linkedin | String | — |
local_ | String | — |
location | String | — |
locked | Boolean | — |
name | String | Example:Administrator |
namespace_ | String | — |
note | String | — |
organization | String | — |
preferred_ | String | Example:en |
private_ | Boolean | Example:false |
projects_ | Integer | Example:10 |
pronouns | String | — |
provisioned_ | String | — |
public_ | String | Example:john@example. |
state | String | Example:active |
theme_ | Integer | Example:2 |
twitter | String | — |
two_ | Boolean | Example:true |
username | String | Example:admin |
web_ | String | Example:https: |
website_ | String | — |
work_ | String | — |